# Generated by Django 2.0.2 on 2018-07-01 15:59

import datetime
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='clients',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('firstname', models.CharField(blank=True, default='', max_length=20)),
                ('lastname', models.CharField(blank=True, default='', max_length=50)),
                ('dni', models.CharField(default='', max_length=45, unique=True)),
                ('cellphone', models.CharField(blank=True, default='', max_length=9)),
                ('email', models.CharField(blank=True, default='', max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='concession',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_consession_start', models.DateField(default=datetime.date(2018, 7, 1))),
                ('date_consession_end', models.DateField(blank=True, default=datetime.date(2018, 7, 1))),
                ('sale_type', models.CharField(blank=True, default='', max_length=45)),
                ('price_monthly', models.IntegerField()),
                ('point_name', models.CharField(blank=True, default='', max_length=45)),
                ('clients', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='clients', to='appmarket.clients')),
            ],
        ),
        migrations.CreateModel(
            name='markets',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, default='', max_length=20)),
            ],
        ),
        migrations.CreateModel(
            name='points',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('point_code', models.CharField(blank=True, default='', max_length=20)),
                ('description', models.CharField(blank=True, default='', max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='sections',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, default='', max_length=20)),
                ('markets', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='markets', to='appmarket.markets')),
            ],
        ),
        migrations.CreateModel(
            name='services',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('service_water_read_old', models.IntegerField()),
                ('service_water_read_new', models.IntegerField()),
                ('service_water_price', models.IntegerField()),
                ('service_energy_read_old', models.IntegerField()),
                ('service_energy_read_new', models.IntegerField()),
                ('service_energy_price', models.IntegerField()),
                ('concession', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='concessions_services', to='appmarket.concession')),
            ],
        ),
        migrations.CreateModel(
            name='voucher',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_pay', models.DateField(blank=True, default=datetime.date(2018, 7, 1))),
                ('comments', models.CharField(blank=True, default='', max_length=20)),
                ('consession', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='concessions_voucher', to='appmarket.concession')),
            ],
        ),
        migrations.CreateModel(
            name='voucherDetail',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('price_point', models.IntegerField()),
                ('price_water', models.IntegerField()),
                ('price_energy', models.IntegerField()),
                ('vouch', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='voucher_detail', to='appmarket.voucher')),
            ],
        ),
        migrations.AddField(
            model_name='points',
            name='sections',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='sections', to='appmarket.sections'),
        ),
        migrations.AddField(
            model_name='concession',
            name='points',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='points', to='appmarket.points'),
        ),
    ]
